use std::time::Instant;

use utils::time::get_elapsed_string;
use y2015::days::d11;

fn main() {
    let now = Instant::now();
    println!("Part 1:");
    part1();
    println!("Ran in {}", get_elapsed_string(now.elapsed()));
    let now = Instant::now();
    println!("Part 2:");
    part2();
    println!("Ran in {}", get_elapsed_string(now.elapsed()));
}

fn part1() {
    println!("{}", d11::process_part1("hepxcrrq"));
}

fn part2() {
    println!("{}", d11::process_part1(&d11::process_part1("hepxcrrq")));
}
