use std::time::Instant;

use utils::time::get_elapsed_string;
use y2015::days::d25;

fn main() {
    let now = Instant::now();
    println!("Part 1:");
    part1();
    println!("Ran in {}", get_elapsed_string(now.elapsed()));
}

fn part1() {
    println!("{}", d25::process_part1(3075, 2981));
}
